View unanswered posts | View active topics It is currently Wed Aug 20, 2014 7:29 pm



Reply to topic  [ 55 posts ]  Go to page Previous  1, 2, 3, 4  Next
ZoneMinder linux/windows/mac/*nix client Qt Viewer 
Author Message

Joined: Wed Mar 14, 2007 7:01 pm
Posts: 46
Post 
With a nice gui this app would revoloutionize the DVR/Secutiry world.


Mon Feb 11, 2008 3:16 pm
Profile

Joined: Sat Mar 31, 2007 10:18 pm
Posts: 1059
Location: Houston, TX
Post 
zoneminder wrote:
I think the main reason that ZM doesn't have a standalone GUI interface is that (a) I don't know any GUI libraries and (b) all my Linux boxes are headless so I never see or use Gnome or KDE and their ilk.

I agree with you, but those damn customers keep asking for it... ;) I am playing with all of these (this one, xlib_shm...) to see what is the most stable and with the lightest load. Reports to follow, some day.


Thu May 29, 2008 4:08 pm
Profile

Joined: Mon Dec 10, 2007 6:53 pm
Posts: 194
Location: San Jose, CA
Post 
I gave it a try on Ubuntu 8.04 with your hardy .deb.

zmviewer loaded at first fine. I then entered my Zoneminder's database information in the settings and it then crashed with the following message:

Code:
zmviewer: symbol lookup error: /usr/lib/libzmviewercore.so: undefined symbol: _Z7qstrcmpRK10QByteArrayPKc


Now when I try to start the app again it crashes with the same error message.

I'll try a source install this weekend.


Fri May 30, 2008 7:13 pm
Profile WWW

Joined: Mon Dec 10, 2007 6:53 pm
Posts: 194
Location: San Jose, CA
Post 
Source install works on Ubuntu 8.04. There was a problem with not finding the zmviewercore library.

I then fix the problem with:

Code:
ln -s /usr/local/lib/libzmviewercore.so /usr/lib/libzmviewercore.so


Mon Jun 02, 2008 5:05 am
Profile WWW

Joined: Mon May 21, 2007 3:03 pm
Posts: 14
Location: Argentina
Post 
timcraig wrote:
I gave it a try on Ubuntu 8.04 with your hardy .deb.

zmviewer loaded at first fine. I then entered my Zoneminder's database information in the settings and it then crashed with the following message:

Code:
zmviewer: symbol lookup error: /usr/lib/libzmviewercore.so: undefined symbol: _Z7qstrcmpRK10QByteArrayPKc


Now when I try to start the app again it crashes with the same error message.

I'll try a source install this weekend.

This error was caused because when I built zmviewer for hardy, hardy was beta and Qt's version has changed since it became stable

_________________
Leandro Emanuel López


Tue Jun 03, 2008 11:51 pm
Profile WWW

Joined: Mon May 21, 2007 3:03 pm
Posts: 14
Location: Argentina
Post 
Hello, I've just released a preview version of the new zmviewer GUI for testing purposes.

At the moment, only source code and Ubuntu packages are available for download, in the next few days I will be releasing a Windows binary.

This new version has a lot of bug fixes and improvements:

* a new revamped UI
* support for hashed authentication
* new multiple cams layouts
* cameras shortcuts
* bandwidth usage optimization

I think this GUI is far more pretty that the older one and has a big usability improvement.

_________________
Leandro Emanuel López


Wed Jul 16, 2008 2:18 pm
Profile WWW

Joined: Wed Jan 30, 2008 6:53 pm
Posts: 519
Location: St. Louis, MO, USA
Post 
Anxious to try, but it's telling me "access denied for database @", have tried both my zm users and mysql users. The "driver" section is blank on the "more" tab, is that relevant?


Wed Jul 16, 2008 4:46 pm
Profile

Joined: Wed Jan 30, 2008 6:53 pm
Posts: 519
Location: St. Louis, MO, USA
Post 
ok, an
Code:
apt-get install libqt4-sql-mysql
solved that problem, now it's running dandy. (Technically, I used synaptic, but I imagine either would do the trick).

Update: Ok, this looks cool. Definitely feels more boss-friendly. Can't get any events to play, though, immediately says "Event Finished".

Ubuntu 8.0.4, ZM 1.23.3


Wed Jul 16, 2008 5:14 pm
Profile

Joined: Sat Mar 31, 2007 10:18 pm
Posts: 1059
Location: Houston, TX
Post 
lopezlean wrote:
Hello, I've just released a preview version of the new zmviewer GUI for testing purposes.

This new version has a lot of bug fixes and improvements:

* support for hashed authentication


WooHoo! Will be testing!


Wed Jul 16, 2008 7:25 pm
Profile

Joined: Fri Jul 18, 2008 5:47 pm
Posts: 9
Post 
I just compiled and installed zmviwer 1.6 on gentoo and it works if I manually enter a camera but not when I use the session function. I can connect to the ZM server with the session connect and it pulls down all the cameras but displays no images. The problem is that I had to set my apaches server on that machine to use port 81. When I manually add a camera and specifiy port 81 all works fine, but when I use session to import the cameras they all get defaulted to port 80 and I am unable to change it in the camera settings.

How can I correct the ports and use sessions.

Thanks


Fri Jul 18, 2008 5:50 pm
Profile

Joined: Mon May 21, 2007 3:03 pm
Posts: 14
Location: Argentina
Post 
cubber wrote:
I just compiled and installed zmviwer 1.6 on gentoo and it works if I manually enter a camera but not when I use the session function. I can connect to the ZM server with the session connect and it pulls down all the cameras but displays no images. The problem is that I had to set my apaches server on that machine to use port 81. When I manually add a camera and specifiy port 81 all works fine, but when I use session to import the cameras they all get defaulted to port 80 and I am unable to change it in the camera settings.

How can I correct the ports and use sessions.

Thanks


Check out the latest code from subversion's trunk, there I added the feature that you want.

_________________
Leandro Emanuel López


Wed Aug 27, 2008 12:22 pm
Profile WWW

Joined: Fri Jul 18, 2008 5:47 pm
Posts: 9
Post 
I just downloaded the SVN but cannot build it. The readme says that it requires QT 4.3 and cmake which I have installed but when I go to build it it by running cmake .. in the build directory it gives me the following errors:

Warning: this project requires version 2.6 of cmake you are running version 2.4.6.

CMake Error: The Installed QT version 4.3.3 is too old, at least version 4.4.0 is required.

The only version of cmake in gentoo's portage is 2.4 even if I use the unstable version. I can recompile qt to 4.4.1 through portage, but the readme says qt 4.3 is needed. Does the readme need an update?

I guess I will wait for cmake to be updated in portage. Also does the windows client now support the new update that is in svn or is that a work in progress?

Thanks


Wed Aug 27, 2008 3:36 pm
Profile

Joined: Mon May 21, 2007 3:03 pm
Posts: 14
Location: Argentina
Post 
cubber wrote:
I just downloaded the SVN but cannot build it. The readme says that it requires QT 4.3 and cmake which I have installed but when I go to build it it by running cmake .. in the build directory it gives me the following errors:

Warning: this project requires version 2.6 of cmake you are running version 2.4.6.

CMake Error: The Installed QT version 4.3.3 is too old, at least version 4.4.0 is required.

The only version of cmake in gentoo's portage is 2.4 even if I use the unstable version. I can recompile qt to 4.4.1 through portage, but the readme says qt 4.3 is needed. Does the readme need an update?

I guess I will wait for cmake to be updated in portage. Also does the windows client now support the new update that is in svn or is that a work in progress?

Thanks


I updated the README file in source code.

zmviewer need Qt >= 4.4 and cmake >= 2.6 to compile

_________________
Leandro Emanuel López


Thu Aug 28, 2008 1:11 am
Profile WWW

Joined: Tue Apr 10, 2007 6:06 pm
Posts: 108
Location: Latvia
Post 
fix to get events viewed on 1.23.3 (maybe other versions too)

Code:
--- trunk/zmviewer/src/core/stream.cpp~ 2008-08-28 14:43:13.000000000 +0300
+++ trunk/zmviewer/src/core/stream.cpp  2008-09-10 18:38:47.000000000 +0300
@@ -171,7 +171,7 @@ void Stream::start()
     if (d->type == Monitor )
         connection = QString ( "%1?mode=%2&monitor=%3&scale=%4&bitrate=%5" ).arg ( d->zms ).arg ( d->mode ).arg ( d->monitor ).arg ( d->scale ).arg ( d->bitrate );
     else if ( d->type == Event )
-            connection = QString ( "%1?mode=%2&frame=1&event=%3&scale=%4&bitrate=%5" ).arg ( d->zms ).arg ( d->mode ).arg ( d->event ).arg ( d->scale ).arg ( d->bitrate);
+            connection = QString ( "%1?source=event&mode=%2&frame=1&event=%3&scale=%4&bitrate=%5" ).arg ( d->zms ).arg ( d->mode ).arg ( d->event ).arg ( d->scale ).arg ( d->bitrate);
     if ( !d->appendString.isNull() && d->appendString.size() > 0 )
             connection.append("&"+d->appendString);
     //#ifdef DEBUG_PARSING

_________________
if common sense is so uncommon, why is it called common then?


Wed Sep 10, 2008 4:51 pm
Profile

Joined: Mon May 21, 2007 3:03 pm
Posts: 14
Location: Argentina
Post 
W. wrote:
fix to get events viewed on 1.23.3 (maybe other versions too)

Code:
--- trunk/zmviewer/src/core/stream.cpp~ 2008-08-28 14:43:13.000000000 +0300
+++ trunk/zmviewer/src/core/stream.cpp  2008-09-10 18:38:47.000000000 +0300
@@ -171,7 +171,7 @@ void Stream::start()
     if (d->type == Monitor )
         connection = QString ( "%1?mode=%2&monitor=%3&scale=%4&bitrate=%5" ).arg ( d->zms ).arg ( d->mode ).arg ( d->monitor ).arg ( d->scale ).arg ( d->bitrate );
     else if ( d->type == Event )
-            connection = QString ( "%1?mode=%2&frame=1&event=%3&scale=%4&bitrate=%5" ).arg ( d->zms ).arg ( d->mode ).arg ( d->event ).arg ( d->scale ).arg ( d->bitrate);
+            connection = QString ( "%1?source=event&mode=%2&frame=1&event=%3&scale=%4&bitrate=%5" ).arg ( d->zms ).arg ( d->mode ).arg ( d->event ).arg ( d->scale ).arg ( d->bitrate);
     if ( !d->appendString.isNull() && d->appendString.size() > 0 )
             connection.append("&"+d->appendString);
     //#ifdef DEBUG_PARSING


Thanks, code from subversion's trunk was patched

_________________
Leandro Emanuel López


Sat Sep 13, 2008 5:29 pm
Profile WWW
Display posts from previous:  Sort by  
Reply to topic   [ 55 posts ]  Go to page Previous  1, 2, 3, 4  Next

Who is online

Users browsing this forum: Google [Bot] and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group